org.eclipse.ease.ui.scripts.expressions

## Class ExpressionTools.ExpressionDescription

- java.lang.Object
- - org.eclipse.ease.ui.scripts.expressions.ExpressionTools.ExpressionDescription

Enclosing class:
  ExpressionTools

    public static class ExpressionTools.ExpressionDescription
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExpressionDescription(IConfigurationElement configurationElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IExpressionDefinition` `createExpressionDefinition()`
`ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionDescription

    public ExpressionDescription(IConfigurationElement configurationElement)

### Method Detail

#### getName

    public java.lang.String getName()

#### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

#### createExpressionDefinition

    public IExpressionDefinition createExpressionDefinition()